## logster 0.0.1

=== Makefile ===
install:
	/bin/mkdir -p /usr/share/logster
	/bin/mkdir -p /var/log/logster
	/usr/bin/install -m 0755 -t /usr/sbin logster
	/usr/bin/install -m 0644 -t /usr/share/logster logster_helper.py
	/usr/bin/install -m 0644 -t /usr/share/logster parsers/*

=== debian/changelog ===
logster (0.0.1-2) unstable; urgency=medium

  * Fix debian/watch as githubredir is obsolete and will be go away
  * Fix typo in debian/copyright
  * Remove logster/parsers/logster_helper.py from debian/copyright. This
    particular file was never part of the sources. But
    logster/logster_helper.py is still present in the sources and in the
    copyright file.
  * Update Standards-Version to 3.9.6 (no changes)

 -- Andreas Rütten <AndreasRuetten@gmx.de>  Sun, 05 Oct 2014 15:02:30 +0200

logster (0.0.1-1) unstable; urgency=low

  * Initial release (Closes: #728980)

 -- Andreas Rütten <AndreasRuetten@gmx.de>  Mon, 16 Dec 2013 10:44:48 +0100

=== debian/control ===
Source: logster
Section: utils
Priority: extra
Maintainer: Debian Graphite Group <pkg-graphite-maint@lists.alioth.debian.org>
Uploaders: Andreas Rütten <AndreasRuetten@gmx.de>
Build-Depends: debhelper (>= 9), dh-python, python-all (>= 2.6.6-3~), python-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/etsy/logster
Vcs-Git: git://anonscm.debian.org/pkg-graphite/packages/logster.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-graphite/packages/logster.git;a=summary

Package: logster
Architecture: all
Depends: logtail, python-pkg-resources, ${misc:Depends}, ${python:Depends}
Recommends: logrotate
Provides: ${python:Provides}
Description: Generate metrics from logfiles for Graphite and Ganglia
 Logster is a utility for reading log files and generating metrics in
 Graphite or Ganglia or Amazon CloudWatch. It is ideal for visualizing
 trends of events that are occurring in your application/system/error
 logs. For example, you might use logster to graph the number of
 occurrences of HTTP response code that appears in your web server
 logs.
 .
 Logster maintains a cursor, via logtail, on each log file that it
 reads so that each successive execution only inspects new log
 entries. In other words, a 1 minute crontab entry for logster would
 allow you to generate near real-time trends in Graphite or Ganglia or
 Amazon CloudWatch for anything you want to measure from your logs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=logster

%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/etsy/logster/tags .*/v?(\d\S*)\.tar\.gz
